Generate Atomic Content
curl --request POST \
--url https://api.example.com/v1/contents/{id}/atomic \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"settings": {
"brandVoiceId": "<string>",
"customInstructions": "<string>",
"factCheckingEnabled": true,
"knowledgeBaseEnabled": true,
"knowledgeFilesEnabled": true,
"knowledgeWebSearchEnabled": true,
"knowledgeWebsiteEnabled": true
}
}
'import requests
url = "https://api.example.com/v1/contents/{id}/atomic"
payload = { "settings": {
"brandVoiceId": "<string>",
"customInstructions": "<string>",
"factCheckingEnabled": True,
"knowledgeBaseEnabled": True,
"knowledgeFilesEnabled": True,
"knowledgeWebSearchEnabled": True,
"knowledgeWebsiteEnabled": True
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
settings: {
brandVoiceId: '<string>',
customInstructions: '<string>',
factCheckingEnabled: true,
knowledgeBaseEnabled: true,
knowledgeFilesEnabled: true,
knowledgeWebSearchEnabled: true,
knowledgeWebsiteEnabled: true
}
})
};
fetch('https://api.example.com/v1/contents/{id}/atomic', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>"
}Contents
Generate Atomic Content
Launches an AI content generation on the draft. The keyword must have a completed SEO analysis. Poll GET /v1/contents/:id/generation to track progress.
POST
/
v1
/
contents
/
{id}
/
atomic
Generate Atomic Content
Authorizations
API key starting with sk_. Generate one in Settings > API Keys.
Path Parameters
Content ID.
Body
application/json
Was this page helpful?
⌘I